spring.application.name=hsay-partner-webc
spring.profiles.active=@profileActive@
server.port=30900
server.servlet.context-path=/partner/mini/program

#logback
logging.config=classpath:logback-spring.xml
logging.path=/data/log/partner

#connection pool config
spring.datasource.hikari.driver-class-name=com.mysql.cj.jdbc.Driver
spring.datasource.hikari.cachePrepStmts=true
spring.datasource.hikari.prepStmtCacheSize=250
spring.datasource.hikari.prepStmtCacheSqlLimit=2048
spring.datasource.hikari.useServerPrepStmts=true
spring.datasource.hikari.useLocalSessionState=true
spring.datasource.hikari.rewriteBatchedStatements=true
spring.datasource.hikari.cacheResultSetMetadata=true
spring.datasource.hikari.cacheServerConfiguration=true
spring.datasource.hikari.elideSetAutoCommits=true
spring.datasource.hikari.maintainTimeStats=false
spring.datasource.hikari.minimumIdle=10
spring.datasource.hikari.maximumPoolSize=150
spring.datasource.hikari.maxLifetime=200000
spring.datasource.hikari.connectionTimeout=3000
spring.datasource.hikari.poolName=DefaultHikariCP
spring.datasource.hikari.idleTimeout=300000
#\u914D\u7F6E\u8FD4\u56DE\u65F6\u95F4\u6233
spring.jackson.serialization.write-dates-as-timestamps=true
# file size
spring.servlet.multipart.maxFileSize=1024MB
spring.servlet.multipart.maxRequestSize=1024MB
# Max file size.
spring.servlet.multipart.max-file-size=1024MB
# Max request size.
spring.servlet.multipart.max-request-size=1024MB
spring.main.allow-circular-references=true

allow.upload.image.ext=jpg,jpeg,gif,png,bmp,jfif
allow.upload.file.ext=zip,mp4,pptx,ppt,doc,docx,pdf
allow.upload.video.ext=3gp,asf,avi,dat,dv,flv,f4v,gif,m2t,m3u8,m4v,mj2,mjpeg,mkv,mov,mp4,mpe,mpg,mpeg,mts,ogg,qt,rm,rmvb,swf,ts,vob,wmv,webm
allow.upload.audio.ext=mp3
allow.upload.image.size=1024 * 1024L * 1024L
allow.upload.file.size=30 * 1024 * 1024L
allow.upload.video.size=1024 * 1024 * 10L
allow.upload.audio.size=1024 * 1024 * 10L

server.connection-timeout=18000000
server.tomcat.basedir=/tmp/tomcat/partner-b
  
log4j2.formatMsgNoLookups=true
